- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Iterator Struct Reference
Eina » Data Types » Content Access » Iterator Functions

structure of an iterator More...

## Data Fields
int | version
| Version of the Iterator API. More...
Eina_Iterator_Next_Callback | next
| Callback called when a next element is requested. More...
Eina_Iterator_Get_Container_Callback | get_container
| Callback called when the container is requested. More...
Eina_Iterator_Free_Callback | free
| Callback called when the container is freed. More...
Eina_Iterator_Lock_Callback | lock
| Callback called when the container is locked. More...
Eina_Iterator_Lock_Callback | unlock
| Callback called when the container is unlocked. More...

## Detailed Description

structure of an iterator

If creating an iterator remember to set the type using EINA_MAGIC_SET.

Examples:
  ecore_con_client_example.c, eet-data-file_descriptor_01.c, eina_file_01.c, eina_hash_01.c, eina_hash_03.c, eina_hash_04.c, eina_hash_05.c, eina_hash_06.c, eina_hash_07.c, eina_iterator_01.c, eina_list_03.c, and eina_tiler_01.c.

## Field Documentation

int _Eina_Iterator::version

Version of the Iterator API.

Referenced by eina_file_map_lines().

Eina_Iterator_Next_Callback _Eina_Iterator::next

Callback called when a next element is requested.

Referenced by eina_file_map_lines(), eina_iterator_foreach(), and eina_iterator_next().

Eina_Iterator_Get_Container_Callback _Eina_Iterator::get_container

Callback called when the container is requested.

Referenced by eina_file_map_lines(), eina_iterator_container_get(), and eina_iterator_foreach().

Eina_Iterator_Free_Callback _Eina_Iterator::free

Callback called when the container is freed.

Referenced by eina_file_map_lines(), and eina_iterator_free().

Eina_Iterator_Lock_Callback _Eina_Iterator::lock

Callback called when the container is locked.

Referenced by eina_iterator_lock().

Eina_Iterator_Lock_Callback _Eina_Iterator::unlock

Callback called when the container is unlocked.

Referenced by eina_iterator_unlock().